Package ch.qos.logback.classic.db.names

# Interface DBNameResolver

All Known Implementing Classes:
  `DefaultDBNameResolver`, `SimpleDBNameResolver`

public interface DBNameResolver
Source of table and column names used in SQL queries generated by `ch.qos.logback.classic.db.DBAppender` Implement this interface to override default table and/or column names used by `ch.qos.logback.classic.db.DBAppender`.

Since:
  0.9.19
Author:
  Tomasz Nurkiewicz, Ceki Gulcu
See Also:
  - `DefaultDBNameResolver`
  - `SimpleDBNameResolver`

## Method Summary

Modifier and Type
Method
Description
`<N extends Enum<?>>
String`
`getColumnName(N columnName)`
`<N extends Enum<?>>
String`
`getTableName(N tableName)`

## Method Details

### getTableName

<N extends Enum<?>> String getTableName(N tableName)

### getColumnName

<N extends Enum<?>> String getColumnName(N columnName)